LoggingFeature.Portable (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature, class: LoggingFeature, class: Portable

Package org.apache.cxf.feature

# Class LoggingFeature.Portable

java.lang.Object
org.apache.cxf.feature.LoggingFeature.Portable

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

Enclosing class:
  LoggingFeature

public static class LoggingFeature.Portable extends Object implements AbstractPortableFeature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Portable()`
  `Portable(int lim)`
  `Portable(String in, String out)`
  `Portable(String in, String out, int lim)`
  `Portable(String in, String out, int lim, boolean p)`
  `Portable(String in, String out, int lim, boolean p, boolean showBinary)`
  `Portable(Logging annotation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doInitializeProvider(InterceptorProvider provider, Bus bus)`
  `int`
  `getLimit()`
  Retrieve the value set with `setLimit(int)`.
  `boolean`
  `isPrettyLogging()`
  `void`
  `setLimit(int lim)`
  Set a limit on how much content can be logged
  `void`
  `setPrettyLogging(boolean prettyLogging)`
  Turn pretty logging of XML content on/off

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

  `initialize, initialize, initialize, initialize`

- ## Constructor Details

  - ### Portable

    public Portable()

  - ### Portable

    public Portable(int lim)

  - ### Portable

    public Portable(String in, String out)

  - ### Portable

    public Portable(String in, String out, int lim)

  - ### Portable

    public Portable(String in, String out, int lim, boolean p)

  - ### Portable

    public Portable(String in, String out, int lim, boolean p, boolean showBinary)

  - ### Portable

    public Portable(Logging annotation)

- ## Method Details

  - ### doInitializeProvider

    public void doInitializeProvider(InterceptorProvider provider, Bus bus)
    Specified by:
      `doInitializeProvider` in interface `AbstractPortableFeature`

  - ### setLimit

    public void setLimit(int lim)
    Set a limit on how much content can be logged
    Parameters:
      `lim` -

  - ### getLimit

    public int getLimit()
    Retrieve the value set with `setLimit(int)`.

  - ### isPrettyLogging

    public boolean isPrettyLogging()

  - ### setPrettyLogging

    public void setPrettyLogging(boolean prettyLogging)
    Turn pretty logging of XML content on/off
    Parameters:
      `prettyLogging` -